#ifndef __TIMER_H
#define __TIMER_H

#include "types.h"
#include "spinlock.h"

//The frequency of hardware timer.
#define H_TIMER_FREQ     10000000
#define TIMER_DIV        100

extern struct spinlock tickslock;
extern uint ticks;

 struct timespec {
    long tv_sec;        /* seconds */
    long   tv_nsec;       /* nanoseconds */
};

void timerinit(void);


#endif
