#ifndef _SEMAPHORE_H
#define _SEMAPHORE_H

#include "types.h"
#include "param.h"
#include "memlayout.h"
#include "riscv.h"
#include "spinlock.h"
#include "proc.h"
#include "defs.h"
#include "timer.h"

#define MAX_SEMAPHORES 128

struct semaphore {
    int allocated;
    int value;                
    struct spinlock lock;      
};

extern struct semaphore sems[MAX_SEMAPHORES]; 

void sem_init(void);



#endif