// System call numbers
#define SYS_fork         1
#define SYS_exit         2
#define SYS_wait         3
#define SYS_pipe         4
#define SYS_read         5
#define SYS_kill         6
#define SYS_exec         7
#define SYS_fstat        8
#define SYS_chdir        9
#define SYS_dup         10
#define SYS_getpid      11
#define SYS_sbrk        12
#define SYS_sleep       13
#define SYS_uptime      14
#define SYS_open        15
#define SYS_write       16
#define SYS_mknod       17
#define SYS_unlink      18
#define SYS_link        19
#define SYS_mkdir       20
#define SYS_close       21
#define SYS_getcwd      22
#define SYS_nanosleep   23
#define SYS_trace       24
#define SYS_sysinfo     25
//SIGNAL
#define SYS_sigalarm    26
#define SYS_sigreturn   27

//UDP
#define SYS_bind        28
#define SYS_unbind      29
#define SYS_send        30
#define SYS_recv        31

//CFS
#define SYS_set_priority 32
#define SYS_get_priority 33
#define SYS_get_vruntime 34
#define SYS_get_runtime  35

//sync
#define SYS_get_semaphore   36
#define SYS_free_semaphore  37
#define SYS_semaphore_P     38
#define SYS_semaphore_V     39

//软链接
#define SYS_symlink         40


#define SYS_mmap            41
#define SYS_munmap          42
#define SYS_print_vma       43
