#include "../kernel/include/types.h"
#include "user.h"

int
main(int argc, char *argv[]) {
  char buf[512] = {0};
  if (argc > 1) {
    fprintf(2, "Usage: pwd\n");
    exit(1);
  }
  // printf("[User] buf: %p, buf_size: %d\n", buf, (int)sizeof(buf));
  if (getcwd(buf, sizeof(buf)) < 0) {
    fprintf(2, "getcwd failed");
    exit(1);
  }
  printf("%s\n", buf);
  exit(0);
}
